Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount
Class DiscountException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  AssociationAlreadyExistsException, AssociationCreationException, AssociationDeleteException, AssociationException, AssociationNotFoundException, DiscountInUseException, DiscountNotFoundException, DiscountParsingException, InvalidAssociationException, UseCountLimitException

Deprecated

    @Deprecated
    public class DiscountException

extends ApplicationException

The base class for all application exceptions that will be throw by the `discount` package.

See Also
  Serialized Form

Field Summary
`static String` | `MESSAGE_NAMESPACE` Deprecated The name of the resource bundle.

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`DiscountException(String messageKey)` Deprecated Class constructor taking key of the associated catalog message.
`DiscountException(String messageKey, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and an embedded exception.
`DiscountException(String messageKey, Object argument)` Deprecated Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`DiscountException(String messageKey, Object[] arguments)` Deprecated Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`DiscountException(String messageKey, Object argument, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and a message parameter substitution argument.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

  Deprecated
  The name of the resource bundle.

  See Also
    Constants Summary

Constructor Detail

### DiscountException

    public DiscountException(String messageKey)

  Deprecated
  Class constructor taking key of the associated catalog message.

  Parameters
    `messageKey` - The associated catalog message key.

### DiscountException

    public DiscountException(String messageKey,
                             Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### DiscountException

    public DiscountException(String messageKey,
                             Object argument)

  Deprecated
  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### DiscountException

    public DiscountException(String messageKey,
                             Object argument,
                             Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception associated with this exception.

### DiscountException

    public DiscountException(String messageKey,
                             Object[] arguments)

  Deprecated
  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.